@import "../../../../Resource/Css/base";

.item{
  overflow: hidden;
  border-radius: 16px;
  box-shadow: 0 3px 6px rgba(0,0,0,0.02), 0 3px 6px rgba(0,0,0,0.04);


  :global{
    .ant-card-body{
      padding: 0;
    }
  }

  .container{
    display: flex;
    align-items: stretch;
    justify-content: stretch;
    height: 200px;

    .imageContainer{
      flex: 1;
      min-width: 75px;
      max-width: 200px;
      position: relative;
      overflow: hidden;
      background: #fff url("../../../../Resource/Image/img-loader.gif") no-repeat center;

      img{
        position: absolute;
        left: 50%;
        top: 50%;
        transform: translate(-50%, -50%);
        height: 100%;
        max-width: unset;
        z-index: 1;
      }

      .favButton{
        position: absolute;
        left: 16px;
        bottom: 16px;
        z-index: 2;

        :global{
          .anticon{
            display: flex;
            align-items: center;
            justify-content: center;
            height: 100%;
          }
        }
      }
    }

    .contentContainer{
      flex: 2 1 0;
      padding: 16px;
      display: flex;
      flex-direction: column;
      align-items: stretch;

      .titleContainer{
        width: 100%;
        margin-bottom: 8px;

        .title{
          font-weight: 800;
          margin: 0;
          line-height: 24px;

          &:hover{
            color: $yellow-daa43d;
          }
        }
      }

      .infoContainer{
        display: flex;
        align-items: flex-start;
        width: 100%;
        margin-bottom: 8px;
        line-height: 14px;

        .infoItem{
          margin-right: 8px;

          &:after{
            content: '-';
            margin-left: 8px;
          }

          &:last-child{
            margin-right: 0;

            &:after{
              display: none;
            }
          }
        }
      }

      .detailContainer{
        flex: 1 1 0;
        display: flex;
        flex-direction: column;
        justify-content: center;
        width: 100%;

        .detailItem{
          display: flex;
          flex-direction: column;
          margin-bottom: 8px;

          &:last-of-type{
            margin-bottom: 0;
          }

          .detailTitle{
            font-size: 12px;
          }

          .detailValue{
            color: #000;
            font-weight: 700;
            line-height: 14px;
          }
        }
      }
    }


  }


}
